%define _name netspeed_applet

Name: gnome-applets-extra-netspeed
Version: 0.10
Release: alt2

Summary: Applet that shows traffic on a network device
Summary (ru_RU.UTF-8): Индикатор скорости обмена данными
License: GPL
Group: Graphical desktop/GNOME
Url: http://mfcn.ilo.de/netspeed_applet/
Source0: %_name-%version.tar.gz
Source1: ru.po

%define libgtop_ver 2.5.1
Requires: libgtop2 >= %libgtop_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgdbm-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig rootfiles scrollkeeper

%description
netspeed_applet is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%description -l ru_RU.UTF-8
Небольшой апплет для панели GNOME, показывающий статистические данные
о потоке данных, проходящих через заданный сетевой интерфейс (например eth0).

%define _libexecdir %_libdir/gnome-panel-2.0/applets

%prep
%setup -q -n %_name-%version
# Translatiojn update
%__cat %SOURCE1 > po/ru.po

%build
%configure
%make_build

%install
%makeinstall
%find_lang --with-gnome %_name

# remove non-packaged files
%__rm -rf %buildroot/var

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %_name.lang
%_libexecdir/%{_name}2
%_libdir/bonobo/servers/*
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.10-alt2
- buildfix

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.10-alt1
- 0.10, translation update

* Fri Feb 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt2
- rebuild with new libgtop2.

* Fri Feb 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Fri Jan 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- new version

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt3
- Rebuild with new libgtop (2.0.4).

* Sun Jul 06 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt2
- Fix deps

* Mon Nov 04 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt1
- ALTLinux build, translation update

